vtseverity Struct Reference

The structure for a severity of a VT. More...

## Data Fields

gchar * | type
| Severity type ("cvss_base_v2", ...)
gchar * | origin
int | date
| Timestamp in seconds since epoch, defaults to VT creation date.
double | score
| The score derived from the value in range [0.0-10.0].
gchar * | value
| The value which corresponds to the type.

## Detailed Description

The structure for a severity of a VT.

VTs can have one or several severities.

## Field Documentation

## date

int vtseverity::date

Timestamp in seconds since epoch, defaults to VT creation date.

## origin

gchar* vtseverity::origin

Optional: Where does the severity come from ("CVE-2018-1234", "Greenbone Research")

## score

double vtseverity::score

The score derived from the value in range [0.0-10.0].

## type

gchar* vtseverity::type

Severity type ("cvss_base_v2", ...)

## value

gchar* vtseverity::value

The value which corresponds to the type.

The documentation for this struct was generated from the following file:

- base/nvti.c